# Datacenter configuration
datacenter = "ego"
domain = "ego.io"
node_name = "registry"

data_dir = "/consul/data"
log_level = "DEBUG"
enable_local_script_checks = true

# Server configuration
server = true
bootstrap = true
bootstrap_expect = 1
acl_master_token = "784746ec-0d5d-fb12-1a79-95f912dcaabd"
acl_token = "784746ec-0d5d-fb12-1a79-95f912dcaabd"

ui_config {
   enabled = true
}

bind_addr = "127.0.0.1"
client_addr = "0.0.0.0"

ports {
   dns = 53
   server = 8300
   https = 8501
   grpc_tls = 8503
}

dns_config {
  service_ttl {
    "*" = "10s"
  }
  node_ttl = "0s"
}

#enable_central_service_config = true

# Connect settings
#connect {
   #enabled = true
   #ca_provider = "vault"
   #ca_config {
   #   address = "https://api-vault:8200"
   #   token = "hvs.CAESIA9jPKArVgpCNzvze9ehIiX2gKMnVgu0rtSUw54Wj9HQGh4KHGh2cy5LdmJVRnYzVkQ1UXhDU2FKaEFQMW5UTm0"
   #   root_pki_path = "pki/"
   #   intermediate_pki_path = "pki_int/"
   #   ca_file = "/usr/local/share/ca-certificates/internalCA.crt"
   #}
#}

# TLS Encryption configuration
tls {
   defaults {
      ca_file = "/usr/local/share/ca-certificates/internalCA.crt"
      cert_file = "/etc/certs/registry.crt"
      key_file = "/etc/certs/registry.key"

      verify_incoming        = false
      verify_outgoing        = false
      #verify_incoming        = true
      #verify_outgoing        = true
   }
   internal_rpc {
      verify_server_hostname = false
      verify_incoming        = false
      #verify_server_hostname = true
      #verify_incoming        = true
   }
}

auto_encrypt {
  allow_tls = true
}

# ACL configuration
# After startup, bootstrap the ACL system with `consul acl bootstrap` command
acl = {
  enabled = true
  default_policy = "allow"
  enable_token_persistence = true
}

# Gossip Encryption
#encrypt = "tRgXSb6ClvzV1myhc75rWIdwx8tTmUI8UxySKecxiQA="

# If running Consul 1.8.x or below, enable central service configuration
#enable_central_service_config = true

recursors = ["127.0.0.11", "8.8.8.8", "8.8.4.4"]

#config_entries {
   #bootstrap = [
      #{
      #   Kind = "api-gateway"
      #   Name = "gw"

      #   Listeners = [
      #      {
      #         Name     = "http"
      #         Port     = 443
      #         Protocol = "http"
      #      }
      #   ]
      #}
      #{
      #   Kind = "service-defaults"
      #   Name = "defaults"
      #   Protocol = "http"
      #},
      #{
      #   Kind = "service-router"
      #   Name = "service-router"
      #   #Hostnames = ["catalog", "catalog-svc", "catalog.service.ego.io"]
      #   Routes = [
      #      {
      #         Match = {
      #            HTTP {
      #               PathPrefix = "/catalog"
      #            }
      #         }
      #         Destination {
      #            Service = "catalog"
      #         }
      #      }
      #   ]
      #}
   #]
#}